| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxGridTableMessage Class Reference
Class List by Category » Grid Related Classes

`#include <wx/grid.h>`

## Detailed Description

A simple class used to pass messages from the table to the grid.

##

Library: wxAdvanced
Category: Grid Related Classes

## Public Member Functions

| wxGridTableMessage ()
| wxGridTableMessage (wxGridTableBase *table, int id, int comInt1=-1, int comInt2=-1)
void | SetTableObject (wxGridTableBase *table)
wxGridTableBase * | GetTableObject () const
void | SetId (int id)
int | GetId ()
void | SetCommandInt (int comInt1)
int | GetCommandInt ()
void | SetCommandInt2 (int comInt2)
int | GetCommandInt2 ()

## Constructor & Destructor Documentation

wxGridTableMessage::wxGridTableMessage | ( |  | ) |

wxGridTableMessage::wxGridTableMessage | ( | wxGridTableBase * | table,
|  | int | id,
|  | int | comInt1 = `-1`,
|  | int | comInt2 = `-1`
| ) |  |

## Member Function Documentation

int wxGridTableMessage::GetCommandInt | ( |  | ) |

int wxGridTableMessage::GetCommandInt2 | ( |  | ) |

int wxGridTableMessage::GetId | ( |  | ) |

wxGridTableBase* wxGridTableMessage::GetTableObject | ( |  | ) | const

void wxGridTableMessage::SetCommandInt | ( | int | comInt1 | ) |

void wxGridTableMessage::SetCommandInt2 | ( | int | comInt2 | ) |

void wxGridTableMessage::SetId | ( | int | id | ) |

void wxGridTableMessage::SetTableObject | ( | wxGridTableBase * | table | ) |